Bug 13570 - koha-conf.xml mentions win32
Summary: koha-conf.xml mentions win32
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Galen Charlton
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 13586
  Show dependency treegraph
 
Reported: 2015-01-13 13:36 UTC by Martin Renvoize
Modified: 2016-01-19 04:43 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13570 - koha-conf.xml mentions win32 (1.37 KB, patch)
2015-01-13 21:28 UTC, the.invinnysible.one
Details | Diff | Splinter Review
[SIGNED OFF] Bug 13570 - koha-conf.xml mentions win32 (1.43 KB, patch)
2015-01-14 07:56 UTC, Martin Renvoize
Details | Diff | Splinter Review
[PASSED QA] Bug 13570 - koha-conf.xml mentions win32 (1.50 KB, patch)
2015-01-15 06:24 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2015-01-13 13:36:45 UTC
The koha-conf.xml template in /etc/ still bears mention of MSWin32 systems. Unless we're ever thinking of suporting windows.. again? We should tidy up this file to remove mention of it.
Comment 1 the.invinnysible.one 2015-01-13 20:43:34 UTC
I will attempt to remove the section in the koha-conf.xml file that mentions this.
Comment 2 the.invinnysible.one 2015-01-13 21:28:05 UTC
Issue existed in koha-conf.xml of /etc. 

The following lines were removed from the file:

<!-- uncomment these lines and comment out the above if running on MSWin32 -->
<!--
<listen id="biblioserver" >tcp:localhost:9998/bibliosocket</listen>
<listen id="authorityserver" >tcp:localhost:9999/authoritysocket</listen>
-->

This section was located on lines 9, 10, 11, 12 and 13 of the koha-conf.xml file. 

Needs sign-off.
Comment 3 the.invinnysible.one 2015-01-13 21:28:54 UTC Comment hidden (obsolete)
Comment 4 Martin Renvoize 2015-01-14 07:56:04 UTC Comment hidden (obsolete)
Comment 5 Martin Renvoize 2015-01-14 07:56:56 UTC
Comment on attachment 35173 [details] [review]
[SIGNED OFF] Bug 13570 - koha-conf.xml mentions win32

Nice simple patch to tidy up the koha-conf file a little... No negative affects found, singing off.

Thanks Morag
Comment 6 Katrin Fischer 2015-01-15 06:23:04 UTC
Should we remove the bits about Windows from Makefile.PL as well? (git grep MSWin32):
Makefile.PL:if ( $^O eq 'MSWin32' ) {
...
Comment 7 Katrin Fischer 2015-01-15 06:24:11 UTC
Created attachment 35283 [details] [review]
[PASSED QA] Bug 13570 - koha-conf.xml mentions win32

Issue existed in koha-conf.xml of /etc.

The following lines were removed from the file:

<!-- uncomment these lines and comment out the above if running on MSWin32 -->
<!--
<listen id="biblioserver" >tcp:localhost:9998/bibliosocket</listen>
<listen id="authorityserver" >tcp:localhost:9999/authoritysocket</listen>
-->

This section was located on lines 9, 10, 11, 12 and 13 of the koha-conf.xml file.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Martin Renvoize 2015-01-15 09:53:07 UTC
(In reply to Katrin Fischer from comment #6)
> Should we remove the bits about Windows from Makefile.PL as well? (git grep
> MSWin32):
> Makefile.PL:if ( $^O eq 'MSWin32' ) {
> ...

Well spotted Katrin.. not sure how I missed those when I spotted these ;)..  I'll open another bug for it, save this one going backwards ;)
Comment 9 Tomás Cohen Arazi 2015-01-17 13:46:13 UTC
Patch pushed to master.

Thanks Morag!
Comment 10 Chris Cormack 2015-01-18 02:35:44 UTC
Pushed to 3.18.x will be in 3.18.3